//+------------------------------------------------------------------+
//|                                             Time_vLinesOanda.mq4 |
//|                                                         Zen_Leow |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Zen_Leow"
#property link      ""

#property indicator_chart_window

extern int Hour_Num = 10;
extern int Hour_Num1 = 11;
extern int Hour_Num2 = 12;
extern int Hour_Num3 = 13;
extern int Hour_Num4 = 14;
extern int Hour_Num5 = 15;
extern int Hour_Num6 = 16;
extern int Hour_Num7 = 17;
extern int Hour_Num8 = 18;
extern int Minute_Num = 0;
extern int indicator_color = Yellow;
extern int indicator_width = 1;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
//---- indicators
//----
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{
//----
   int ObjectCount = ObjectsTotal();
   for (int i=ObjectCount-1; i>=0; i--)
   {
      if(StringFind(ObjectName(i),"Time_vLine-") != -1)
      {
         ObjectDelete(ObjectName(i));
      }  
   }
//----
   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int Counted_bars=IndicatorCounted(); // Number of counted bars   
   int i=Bars-Counted_bars-1;           // Index of the first uncounted   
   
   while(i>=0)                      // Loop for uncounted bars     
   {  
      if(TimeHour(Time[i]) == Hour_Num && TimeMinute(Time[i]) == Minute_Num)
      {
         if (ObjectFind("Time_vLine-"+Time[i]) != 0)
         {
            ObjectCreate( "Time_vLine-"+Time[i], OBJ_VLINE, 0, Time[i], 0 );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_COLOR, indicator_color);
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_WIDTH,indicator_width );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_BACK, true );

         }
      }
      if(TimeHour(Time[i]) == Hour_Num1 && TimeMinute(Time[i]) == Minute_Num)
      {
         if (ObjectFind("Time_vLine-"+Time[i]) != 0)
         {
            ObjectCreate( "Time_vLine-"+Time[i], OBJ_VLINE, 0, Time[i], 0 );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_COLOR, indicator_color);
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_WIDTH,indicator_width );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_BACK, true );

         }
      }
      if(TimeHour(Time[i]) == Hour_Num2 && TimeMinute(Time[i]) == Minute_Num)
      {
         if (ObjectFind("Time_vLine-"+Time[i]) != 0)
         {
            ObjectCreate( "Time_vLine-"+Time[i], OBJ_VLINE, 0, Time[i], 0 );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_COLOR, indicator_color);
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_WIDTH,indicator_width );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_BACK, true );

         }
      }
      if(TimeHour(Time[i]) == Hour_Num3 && TimeMinute(Time[i]) == Minute_Num)
      {
         if (ObjectFind("Time_vLine-"+Time[i]) != 0)
         {
            ObjectCreate( "Time_vLine-"+Time[i], OBJ_VLINE, 0, Time[i], 0 );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_COLOR, indicator_color);
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_WIDTH,indicator_width );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_BACK, true );

         }
      }
      if(TimeHour(Time[i]) == Hour_Num4 && TimeMinute(Time[i]) == Minute_Num)
      {
         if (ObjectFind("Time_vLine-"+Time[i]) != 0)
         {
            ObjectCreate( "Time_vLine-"+Time[i], OBJ_VLINE, 0, Time[i], 0 );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_COLOR, indicator_color);
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_WIDTH,indicator_width );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_BACK, true );

         }
      }
      if(TimeHour(Time[i]) == Hour_Num5 && TimeMinute(Time[i]) == Minute_Num)
      {
         if (ObjectFind("Time_vLine-"+Time[i]) != 0)
         {
            ObjectCreate( "Time_vLine-"+Time[i], OBJ_VLINE, 0, Time[i], 0 );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_COLOR, indicator_color);
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_WIDTH,indicator_width );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_BACK, true );

         }
      }
      if(TimeHour(Time[i]) == Hour_Num6 && TimeMinute(Time[i]) == Minute_Num)
      {
         if (ObjectFind("Time_vLine-"+Time[i]) != 0)
         {
            ObjectCreate( "Time_vLine-"+Time[i], OBJ_VLINE, 0, Time[i], 0 );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_COLOR, indicator_color);
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_WIDTH,indicator_width );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_BACK, true );

         }
      }
      if(TimeHour(Time[i]) == Hour_Num7 && TimeMinute(Time[i]) == Minute_Num)
      {
         if (ObjectFind("Time_vLine-"+Time[i]) != 0)
         {
            ObjectCreate( "Time_vLine-"+Time[i], OBJ_VLINE, 0, Time[i], 0 );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_COLOR, indicator_color);
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_WIDTH,indicator_width );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_BACK, true );

         }
      }
      if(TimeHour(Time[i]) == Hour_Num8 && TimeMinute(Time[i]) == Minute_Num)
      {
         if (ObjectFind("Time_vLine-"+Time[i]) != 0)
         {
            ObjectCreate( "Time_vLine-"+Time[i], OBJ_VLINE, 0, Time[i], 0 );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_COLOR, indicator_color);
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_WIDTH,indicator_width );
            ObjectSet( "Time_vLine-"+Time[i], OBJPROP_BACK, true );

         }
      }
     
      i--;
   }
//----
   return(0);
}
//+------------------------------------------------------------------+